<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

require(__DIR__.'/class/board.php');
require(__DIR__.'/class/image.php');
require(__DIR__.'/class/invoice.php');
require(__DIR__.'/class/pack.php');
require(__DIR__.'/class/site.php');
require(__DIR__.'/class/store.php');
require(__DIR__.'/class/user.php');

// Auth
Route::post('/api/auth/checkself', 'AuthController@checkSelf');
Route::post('/api/auth/getpermissions', 'AuthController@getPerms');
Route::post('/api/auth/login', 'AuthController@login');
Route::post('/api/auth/register', 'AuthController@register');
Route::post('/api/auth/recover', 'AuthController@recover');
Route::post('/api/auth/sendreset', 'AuthController@SendReset');
Route::get('/api/auth/confirmreset/{token}', 'AuthController@ConfirmReset');
Route::post('/api/auth/passwordreset', 'AuthController@PasswordReset');
Route::post('/api/auth/checkauth', 'AuthController@checkAuth');

// Permissions
Route::get('/api/rpc/permission/getpermissionsfrommodule', 'PermissionController@getPermissionsFromModule');
Route::get('/api/rpc/permission/getpermissionfrommodule/{id}', 'PermissionController@getPermissionFromModule');
Route::get('/api/rpc/permission/getpermissions/{mdl}', 'PermissionController@getPermissions');
Route::get('/api/rpc/permission/getpermissiongroup/{mdl}/{id}', 'PermissionController@getPermissionGroup');
Route::get('/api/rpc/permission/getpermissionuser/{mdl}/{id}', 'PermissionController@getPermissionUser');

// Bash
Route::get('/', function () {
  return view('cli');
});

require(__DIR__.'/class/bash.php');